Bug 2176726 - totem crashes everytime when users try to delete a video
Summary: totem crashes everytime when users try to delete a video
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: totem
Version: 38
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: GNOME SIG Unassigned
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: RejectedBlocker AcceptedFreezeException
Depends On:
Blocks: F38FinalFreezeException
TreeView+ depends on / blocked
 
Reported: 2023-03-09 04:18 UTC by lnie
Modified: 2024-05-16 01:51 UTC (History)
12 users (show)

Fixed In Version: totem-43.0-5.fc38
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2024-05-16 01:27:17 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
screencast (166.32 KB, video/webm)
2023-03-09 04:18 UTC, lnie
no flags Details
backtrace (105.62 KB, text/plain)
2023-03-09 04:18 UTC, lnie
no flags Details
backtrace (42.64 KB, text/plain)
2023-03-14 02:46 UTC, lnie
no flags Details

Description lnie 2023-03-09 04:18:00 UTC
Created attachment 1949203 [details]
screencast

Description of problem:
As shown in the attached screencast,totem crashes everytime I select a video and click "Delete" button

Version-Release number of selected component (if applicable):
totem-43.0-2.fc38.x86_64

How reproducible:
always

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 lnie 2023-03-09 04:18:36 UTC
Created attachment 1949204 [details]
backtrace

Comment 2 lnie 2023-03-09 04:19:17 UTC
Created attachment 1949205 [details]
journal

Comment 3 Fedora Blocker Bugs Application 2023-03-09 05:41:09 UTC
Proposed as a Blocker for 38-final by Fedora user lnie using the blocker tracking app because:

 This affects:
All elements of the default panel (or equivalent) configuration in all release-blocking desktops must function correctly in typical use

Comment 4 lnie 2023-03-09 15:46:02 UTC
Please note the crash only happens when there is only one video.

Comment 5 Ben Cotton 2023-03-10 17:01:58 UTC
lnie, can you please file an upstream issue at https://gitlab.gnome.org/GNOME/totem/-/issues

Comment 6 Michael Catanzaro 2023-03-12 23:29:28 UTC
(In reply to Ben Cotton from comment #5)
> lnie, can you please file an upstream issue at
> https://gitlab.gnome.org/GNOME/totem/-/issues

That won't work. Bastien does not accept bug reports from Fedora upstream and will just close the bug. So we have to deal with it here.

Anyway, this bug report is not ready for a maintainer yet anyway because there is no backtrace. Setting needinfo?lnie to request a backtrace taken with gdb. See https://blogs.gnome.org/mcatanzaro/2021/09/18/creating-quality-backtraces-for-crash-reports/ if you don't know how to do this.

Comment 7 lnie 2023-03-13 01:37:09 UTC
I had attached backtrace generated by abrt in comment1(I have it public now),please feel free to tell me  if that's not what wanted,thanks.

Comment 8 Michael Catanzaro 2023-03-13 12:36:31 UTC
Ah, I was viewing this bug report when not signed in, and didn't notice after I signed in to comment.

Unfortunately the backtrace here is missing GTK debug symbols. This must be an ABRT bug. Can you take the backtrace manually? gdb will do the right thing automatically, downloading the required debug symbols using debuginfod.

Comment 9 Lukas Ruzicka 2023-03-13 13:18:25 UTC
I can reproduce this when there is exactly one video left. Deleting it crashed Totem. I found this in journalctl:


UNTITLED
From WebUI, 11 Seconds ago, written in Plain Text.
This paste will bite the big one in 23 Hours.	
URL https://paste.centos.org/view/e71ad95a
Embed Show code
Download Paste or View Raw

        Mar 13 14:13:48 fedora totem[17224]: Failed to determine schema version: sqlite3_prepare_v2 failed: database is locked: CREATE TABLE IF NOT EXISTS _gom_version (version INTEGER);
        Mar 13 14:13:48 fedora totem[17224]: [bookmarks] ../src/bookmarks/grl-bookmarks.c:221: Failed to migrate database: sqlite3_prepare_v2 failed: database is locked: CREATE TABLE IF NOT EXISTS _gom_version (version INTEGER);
        Mar 13 14:13:48 fedora totem[17224]: [dleyna] ../src/dleyna/grl-dleyna-servers-manager.c:138: Unable to fetch the list of available servers: GDBus.Error:org.freedesktop.DBus.Error.NameHasNoOwner: Could not activate remote peer: unit failed.
        Mar 13 14:14:14 fedora kernel: totem[17224]: segfault at 56450f769655 ip 00007f13ab128ee0 sp 00007ffe0dc58be8 error 4 in libgtk-3.so.0.2405.32[7f13aae87000+3b1000] likely on CPU 0 (core 0, socket 0)
        Mar 13 14:14:14 fedora audit[17224]: ANOM_ABEND auid=1000 uid=1000 gid=1000 ses=3 subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 pid=17224 comm="totem" exe="/usr/bin/totem" sig=11 res=1
        Mar 13 14:14:15 fedora systemd-coredump[17304]: Process 17224 (totem) of user 1000 dumped core.
                                                        Module libapple-trailers.so from rpm totem-43.0-2.fc38.x86_64
                                                        Module libautoload-subtitles.so from rpm totem-43.0-2.fc38.x86_64
                                                        Module libmpris.so from rpm totem-43.0-2.fc38.x86_64
                                                        Module libopen-directory.so from rpm totem-43.0-2.fc38.x86_64
                                                        Module libmovie-properties.so from rpm totem-43.0-2.fc38.x86_64
                                                        Module librecent.so from rpm totem-43.0-2.fc38.x86_64
                                                        Module librotation.so from rpm totem-43.0-2.fc38.x86_64
                                                        Module libsave-file.so from rpm totem-43.0-2.fc38.x86_64
                                                        Module libscreensaver.so from rpm totem-43.0-2.fc38.x86_64
                                                        Module libscreenshot.so from rpm totem-43.0-2.fc38.x86_64
                                                        Module libskipto.so from rpm totem-43.0-2.fc38.x86_64
                                                        Module libvariable-rate.so from rpm totem-43.0-2.fc38.x86_64
                                                        Module libvimeo.so from rpm totem-43.0-2.fc38.x86_64
                                                        Module libtotem-plparser-mini.so.18 from rpm totem-pl-parser-3.26.6-6.fc38.x86_64
                                                        Module libtotem-plparser.so.18 from rpm totem-pl-parser-3.26.6-6.fc38.x86_64
                                                        Module libtotem.so.0 from rpm totem-43.0-2.fc38.x86_64
                                                        Module totem from rpm totem-43.0-2.fc38.x86_64
                                                        #4  0x00007f13ab95e84b build_selection_list_foreach (libtotem.so.0 + 0x4e84b)
                                                        #7  0x00007f13ab960a4f gd_main_view_get_selection (libtotem.so.0 + 0x50a4f)
                                                        #8  0x00007f13ab94285d view_selection_changed_cb (libtotem.so.0 + 0x3285d)
                                                        #21 0x00007f13ab93a991 delete_foreach (libtotem.so.0 + 0x2a991)
                                                        #23 0x00007f13ab942a04 delete_cb (libtotem.so.0 + 0x32a04)
                                                        #62 0x00005640692aa38d main (totem + 0x238d)
        Mar 13 14:14:16 fedora abrt-notification[17353]: Process 17224 (totem) crashed in gtk_tree_store_get_value()

Comment 10 Lukas Ruzicka 2023-03-13 13:23:00 UTC
I also realized that the application crashes after the video has been deleted.

Comment 11 Adam Williamson 2023-03-13 14:47:05 UTC
-5 blocker / +4 FE in https://pagure.io/fedora-qa/blocker-review/issue/1082 , marking rejected/accepted.

Comment 12 lnie 2023-03-14 02:46:40 UTC
Created attachment 1950388 [details]
backtrace

Comment 13 Michael Catanzaro 2023-03-14 17:33:11 UTC
Great backtrace, thanks.

Comment 14 Aoife Moloney 2024-05-07 15:59:11 UTC
This message is a reminder that Fedora Linux 38 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora Linux 38 on 2024-05-21.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
'version' of '38'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, change the 'version' 
to a later Fedora Linux version. Note that the version field may be hidden.
Click the "Show advanced fields" button if you do not see it.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora Linux 38 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora Linux, you are encouraged to change the 'version' to a later version
prior to this bug being closed.

Comment 15 Adam Williamson 2024-05-07 16:36:09 UTC
From upstream breadcrumbs it looks like this was intended to be fixed by https://gitlab.gnome.org/GNOME/totem/-/merge_requests/369 . However, there does not seem to have been a totem release since 43.0(!) I'll backport that fix to all branches, I guess.

Comment 16 Fedora Update System 2024-05-07 17:07:54 UTC
FEDORA-2024-bafaae1de7 (totem-43.0-5.fc38) has been submitted as an update to Fedora 38.
https://bodhi.fedoraproject.org/updates/FEDORA-2024-bafaae1de7

Comment 17 Fedora Update System 2024-05-07 17:07:55 UTC
FEDORA-2024-2958125bea (totem-43.0-5.fc40) has been submitted as an update to Fedora 40.
https://bodhi.fedoraproject.org/updates/FEDORA-2024-2958125bea

Comment 18 Fedora Update System 2024-05-08 02:21:55 UTC
FEDORA-2024-2958125bea has been pushed to the Fedora 40 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2024-2958125bea`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2024-2958125bea

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 19 Fedora Update System 2024-05-08 02:58:51 UTC
FEDORA-2024-bafaae1de7 has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2024-bafaae1de7`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2024-bafaae1de7

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 20 Fedora Update System 2024-05-08 06:28:33 UTC
FEDORA-2024-e854d31b92 has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2024-e854d31b92`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2024-e854d31b92

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 21 Fedora Update System 2024-05-16 01:09:06 UTC
FEDORA-2024-e854d31b92 (totem-43.0-5.fc39) has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 22 Fedora Update System 2024-05-16 01:27:17 UTC
FEDORA-2024-bafaae1de7 (totem-43.0-5.fc38) has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 23 Fedora Update System 2024-05-16 01:51:31 UTC
FEDORA-2024-2958125bea (totem-43.0-5.fc40) has been pushed to the Fedora 40 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.